import java.io.Serializable;
import java.util.*;

import org.hibernate.*;
import org.hibernate.cfg.*;
import org.hibernate.criterion.*;
import org.hibernate.event.*;
import org.hibernate.event.def.*;

public class Main {
   public static void main(String[] args) throws Exception {
      HibernateUtil.setup("create table grouptable (id int,name varchar);");    
      HibernateUtil.setup("create table story (id int,info varchar,idx int,parent_id int);");    

      Session session = HibernateUtil.currentSession();

      Group sp = new Group("Group Name");
     
      ArrayList list = new ArrayList();
      list.add(new Story("Story Name 1"));
      list.add(new Story("Story Name 2"));
      sp.setStories(list);

      Transaction transaction = null;

      try {
           transaction = session.beginTransaction();
           session.save(sp);
           transaction.commit();
      } catch (Exception e) { 
           if (transaction != null) {
             transaction.rollback();
             throw e;
           }
      }  finally { 
           session.close();
      }
      HibernateUtil.checkData("select * from grouptable");
      HibernateUtil.checkData("select * from story");      
   }
}
